Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Conflicting lifecycle mapping

Avatar

Level 2

Hi guys,

I doing a practice on this new wknd tutorial which is this one

Getting Started with AEM Sites Part 1 - Project Setup

for some reason i got this error and i dont know where the conflict is

https://helpx.adobe.com/experience-manager/kt/sites/using/getting-started-wknd-tutorial-develop/part1.html

im pretty sure i have only one plugin of maven-bundle-plugin in there

1386371_pastedImage_3.png

1 Accepted Solution

Avatar

Correct answer by
Level 2

i have found the solution, i just reinstalled my eclipse neon into a IDE for web developers.

Thanks everyone!

1390031_pastedImage_0.png

View solution in original post

12 Replies

Avatar

Level 10

Do you have all the same versions are mentioned in the doc?

I will attempt this too and post back my results.

Avatar

Community Advisor

Hi,

I don't see this issue on this WKND Tutorial. I have tested many times and it works without any issues.

Anyways I will again test it and post back my findings.

Thanks,

Ratna.

Avatar

Level 10

I just tested and it builds via Maven.

Test11.png

Try again and accept all the default values when entering the Lazybones commands.

Avatar

Community Advisor

I too just tested the article and it worked nicely. Please see the below screenshot for the same.

BuildSuccess.PNG

Thanks,

Ratna.

Avatar

Level 2

there's no problem in installing it using mvn,

the problem is in eclipse where i need to add the project to the aem server

1386871_pastedImage_0.png

Avatar

Level 10

What version of Eclipse are you using. See this artilce where we specify the version of Eclipse:

Creating an Adobe Experience Manager project using Lazybones

Can you try with that Eclipse version. I think it sounds like an IDE issue.

Avatar

Community Advisor

Hi,

I am able to add the project to the AEM server without any issues. PFA screenshot below.

add.PNG

BTW Which eclipse version you are using. Use Eclipse Neon for J2EE IDEec

add1.PNG

BTE, Which eclipse version you are using. Use Eclipse Neon - Eclipse IDE for Java EE developers.

Thanks,

Ratna Kumar.

Avatar

Level 2

im currently using Oxygen on eclipse, sure will try Neon this time! thanks everyone!

Avatar

Level 2

im using Neon eclipse now, and the problem still exist

1389047_pastedImage_0.png

Avatar

Level 10

Try this artilce and see if you get same results -

Scott's Digital Community: Creating an Adobe Experience Manager project using Lazybones

If necessary - we will setup a connect session early next week.

Avatar

Correct answer by
Level 2

i have found the solution, i just reinstalled my eclipse neon into a IDE for web developers.

Thanks everyone!

1390031_pastedImage_0.png